<?php
require'fun.php';
require'f_conectare.php';
conectare('creaza trib (triburile v2)','triburile2-creaza-trib');
$titlu='Creaza trib - Triburile V2';
$back[1]='<a href="/triburile2">'.img('triburile.gif',1).'Triburi</a>';
require'f_sus.php';
require'triburile2_nicu1.php';
if($pmtext!='')
{
$desc=$_POST['desc'];
$gasit=$conn->query('SELECT COUNT(*)FROM`t2_triburi`WHERE`nume`="'.$pmtext.'"')->fetch_row();
require'f_blocat.php';
if(blocat($pmtext))
{
$tip='Nume trib - Triburile V2';
$text=$pmtext;
require'f_ban.php';
}
elseif(blocat($desc))
{
$tip='Descriere trib - Triburile V2';
$text=$desc;
require'f_ban.php';
}
elseif(mb_strlen($pmtext)<4)
echo$div[7].'Numele e prea scurt!';
elseif($gasit[0])
echo$div[7].'Este adăugat un trib cu acest nume!';
else
{
if($conn->query('INSERT INTO`t2_triburi`SET`de`="'.$de.'",`nume`="'.$pmtext.'",`desc`="'.$desc.'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
echo$div[6].'Trib creat!';
$conn->query('UPDATE`t2_membrii`SET`trib`="'.$pmtext.'"WHERE`de`="'.$de.'"');
}
else
echo$div[7].'Eroare!';
}
echo$div[0];
}
$tot=$conn->query('SELECT`trib`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
if(!$tot[0])
{
echo$div[10].'Creaza trib'.$div[0];
$form[0]='/triburile2-creaza-trib" method="post';
$form[1]=0;
$form[2]=$div[1].'Nume:<br /><input name="pmtext" />'.$div[0].$div[1].'Descriere:<br /><input name="desc" />'.$div[0];
$form[3]='pmtext::desc';
$form[4]='Creaza';
require'f_form.php';
}
require'f_jos.php';